Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.transaction
Class JoinableCMTTransaction

    java.lang.Object
      org.hibernate.transaction.CMTTransaction
          org.hibernate.ejb.transaction.JoinableCMTTransaction

All Implemented Interfaces:
  Transaction

    public class JoinableCMTTransaction

extends CMTTransaction

Implements a joinable transaction. Until the transaction is marked for joined, the TM.isTransactionInProgress() must return false

Author:
  Emmanuel Bernard

Nested Class Summary
`static class` | `JoinableCMTTransaction.JoinStatus`

Field Summary

Fields inherited from class org.hibernate.transaction.CMTTransaction
`jdbcContext, transactionContext`

Constructor Summary
`JoinableCMTTransaction(JDBCContext jdbcContext, TransactionFactory.Context transactionContext)`

Method Summary
`void` | `begin()` Begin a new transaction.
`void` | `commit()` Flush the associated `Session` and end the unit of work (unless we are in `FlushMode.MANUAL`.
`JoinableCMTTransaction.JoinStatus` | `getStatus()`
`boolean` | `isTransactionInProgress(JDBCContext jdbcContext, TransactionFactory.Context transactionContext)`
`void` | `markForJoined()`
`void` | `resetStatus()`

Methods inherited from class org.hibernate.transaction.CMTTransaction
`getTransaction, isActive, registerSynchronization, rollback, setTimeout, wasCommitted, wasRolledBack`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinableCMTTransaction

    public JoinableCMTTransaction(JDBCContext jdbcContext,
                                  TransactionFactory.Context transactionContext)

Method Detail

### isTransactionInProgress

    public boolean isTransactionInProgress(JDBCContext jdbcContext,
                                           TransactionFactory.Context transactionContext)

### begin

    public void begin()
               throws HibernateException

  Description copied from class: `CMTTransaction`
  Begin a new transaction.

  Specified by:
    `begin` in interface `Transaction`
  Overrides:
    `begin` in class `CMTTransaction`
  Throws:
    `HibernateException`

### commit

    public void commit()
                throws HibernateException

  Description copied from class: `CMTTransaction`
  Flush the associated `Session` and end the unit of work (unless we are in `FlushMode.MANUAL`. This method will commit the underlying transaction if and only if the underlying transaction was initiated by this object.

  Specified by:
    `commit` in interface `Transaction`
  Overrides:
    `commit` in class `CMTTransaction`
  Throws:
    `HibernateException`

### getStatus

    public JoinableCMTTransaction.JoinStatus getStatus()

### resetStatus

    public void resetStatus()

### markForJoined

    public void markForJoined()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.